# -*- coding: utf-8 -*-

import json
import pandas as pd


def get_se_as_df(filename):
    with open(filename) as my_file:
        data = json.loads(my_file.read())
    for record in data:
        for key, value in record.items():
            if isinstance(value, dict):
                # extract only kWh
                kwh = value["energy_kWh"]
                record[key] = kwh
    df = pd.DataFrame(data)
    # convert string to datetime object
    df["created_on"] = pd.to_datetime(df["created_on"])
    df = df.set_index("created_on")
    return df


if __name__ == "__main__":
    FILENAME = "../se_daily.json"
    df = get_se_as_df(FILENAME)
    print(df.head)
